# Interface IListFieldValuesRequest

Describe a request to list the possible values of a field.

## Index

### Properties

- constantQueryOverride
- field
- ignoreAccents
- lookupField
- maximumNumberOfValues
- pattern
- patternType
- queryOverride
- sortCriteria

## Properties

### Optional constantQueryOverride

constantQueryOverride: string

- Defined in rest/ListFieldValuesRequest.ts :34

A query to execute when returning possible field values, put in cache in the index

### field

field: string

- Defined in rest/ListFieldValuesRequest.ts :10

The field for which to list values

### Optional ignoreAccents

ignoreAccents: boolean

- Defined in rest/ListFieldValuesRequest.ts :18

Whether to ignore accents in the values

### Optional lookupField

lookupField: string

- Defined in rest/ListFieldValuesRequest.ts :14

The lookup field to use

### Optional maximumNumberOfValues

maximumNumberOfValues: number

- Defined in rest/ListFieldValuesRequest.ts :26

Maximum number of field values to return

### Optional pattern

pattern: string

- Defined in rest/ListFieldValuesRequest.ts :38

A pattern to filter out results

### Optional patternType

patternType: string

- Defined in rest/ListFieldValuesRequest.ts :42

The type of the pattern (eg: regex)

### Optional queryOverride

queryOverride: string

- Defined in rest/ListFieldValuesRequest.ts :30

A query to execute when returning possible field values

### Optional sortCriteria

sortCriteria: string

- Defined in rest/ListFieldValuesRequest.ts :22

The sort order for the returned field.

### Hierarchy

- IListFieldValuesRequest